Subject: Re: bug#52559: guix pull fails with `Unknown command: nix fish: nix show-derivation "~/.fr-sqOEpp/....-module-import-compiled.drv"

From: Grigory Shepelev <[email-masked]>
Date: Fri, 17 Dec 2021 12:07:37 +0300

I tried different approaches to copy guix-related stuff from root to my
user and failed each time. I mean: I've failed each time with almost the
same error as at the beginning except for the log was about escape sequence
from the very beginning.

пт, 17 дек. 2021 г. в 09:59, Maxime Devos <[email-masked]>:

> Grigory Shepelev schreef op vr 17-12-2021 om 09:21 [+0300]:
> > Although I was able to "guix pull" with "sudo", as root user
> > normally. As far as I know guix pull updates only per-user when
> > called.
> > Can I use the result from root somehow?
>
> Determine the full store path of root's guix & run that.
>
> Greetings,
> Maxime
>
>